<template>
  <keep-alive>
    <site-list
      :nodeSelected="nodeSelected" ref="site" @reloadUi="reloadUi"
    ></site-list>
  </keep-alive>
  
</template>

<script>
import SiteList from "./SiteList";
export default {
  name: 'FactoryRight',
  components: {
    SiteList,
  },
  data() {
    return {
      description: '工厂建模',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {},
      selectKey:'',
      fid:'',
      eid:'',
    }
  },
  methods: {
    reloadUi([fid,eid]){
      this.fid=fid;
      this.eid=eid;
      this.$emit('reloadUi',[this.fid,this.eid]);
    },
    loadData([fid,eid]){
      this.fid=fid;
      this.eid=eid;
      this.$refs.site.loadData([this.fid,this.eid]);
    },
    getEid(data){
      this.$refs.site.getEid(data);
      this.eid=data;
    },
    getFid(data){
      this.$refs.site.getFid(data);
      this.fid=data;
    },
    clearSelectList(){
      this.$refs.site.clearSelectList();
    }
  },
  mounted(){
    // this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
    //   this.nodeType = (data.type == undefined ? 0 : data.type);
    //   this.nodeSelected = data;
    // })
   
  },
}
</script>

<style scoped>
</style>